package cn.iocoder.yudao.module.wealth.vo.commissionPayment;

import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableReqVO;
import cn.iocoder.yudao.module.wealth.vo.payable.PayableReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 佣金付款单创建 Request VO")
public class CommissionPaymentCreateReqVO extends CommissionPaymentBaseVO {

    @ApiModelProperty(value = "佣金应付明细")
    private List<CommissionPayableReqVO> commissionPayableReqVOList;

    @ApiModelProperty(value = "0保存为草稿,1保存并发起审核")
    private String addType;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;
}
