package cn.iocoder.yudao.module.wealth.vo.commissionPayment;

import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 佣金付款单更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CommissionPaymentUpdateReqVO extends CommissionPaymentBaseVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "佣金应付明细")
    private List<CommissionPayableReqVO> commissionPayableReqVOList;

    @ApiModelProperty(value = "0保存为草稿,1保存并发起审核")
    private String addType;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;

}
