package cn.iocoder.yudao.module.wealth.vo.commissionPayment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 佣金付款单审核 Request VO")
@Data
public class CommissionPaymentVerifyVo {

    @ApiModelProperty(value = "付款ID")
    @NotNull(message = "佣金付款ID不能为空")
    private Long commissionPaymentId;

    @ApiModelProperty(value = "审核状态y通过n不通过")
    @NotNull(message = "审核状态不能为空")
    private String verifyStatus;

    @ApiModelProperty(value = "审核备注")
    private String notes;
}
