package cn.iocoder.yudao.module.wealth.vo.payment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("付款单取消审核")
public class FinancePaymentCancelVo {
    @ApiModelProperty(value = "付款单ID")
    @NotNull(message = "付款单ID不能为空")
    private Long paymentId;


    @ApiModelProperty(value = "取消原因")
    private String remark;
}
