package cn.iocoder.yudao.module.wealth.vo.payment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel("付款单审核")
public class FinancePaymentVo {
    @ApiModelProperty(value = "付款单ID")
    @NotNull(message = "付款单ID不能为空")
    private Long paymentId;

    @ApiModelProperty(value = "付款单编号")
    @NotNull(message = "付款单编号不能为空")
    private String paymentNo;

    /*

     原来的付款备注没有保存
     */
    @ApiModelProperty(value = "付款备注")
    private String reason;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;


    /*
     实际付款时间
     */
    @ApiModelProperty(value = "实际付款时间")
    private Date sjfkdate;

    /*
     付款人，核销操作人
     */
    @ApiModelProperty(value = "付款人")
    private String fkren;

    /*
     核销时间
     */
    @ApiModelProperty(value = "核销时间")
    private  Date hexiaodate;
}
