package cn.iocoder.yudao.module.wealth.vo.payment;

import cn.iocoder.yudao.module.wealth.vo.payable.PayableReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 付款单创建 Request VO")
public class PaymentCreateReqVO extends PaymentBaseVO {

    @ApiModelProperty(value = "应付明细")
    private List<PayableReqVO> payableReqVOList;

    @ApiModelProperty(value = "0保存为草稿,1保存并发起审核")
    private String addType;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;

    @ApiModelProperty(value = "申请原因")
    private String reason;

}
