package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("收款单取消审核")
public class FinanceReceiptCancelVo {
    @ApiModelProperty(value = "收款单ID")
    @NotNull(message = "收款单ID不能为空")
    private Long receiptId;


    @ApiModelProperty(value = "取消原因")
    private String remark;
}
