package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("管理后台 - 收款单导出 VO")
public class ReceiptExportVO {

    @ApiModelProperty(value = "收款单ID")
    @NotNull(message = "收款单ID不能为空")
    private Long id;

    @ApiModelProperty(value = "账单类型1:国内，2：国外")
    @NotNull(message = "账单类型")
    private String billType;
}
