package cn.iocoder.yudao.module.wealth.vo.receiptAccount;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
public class ReceiptAccountBaseVO {

    @ApiModelProperty(value = "收款单Id")
    private Long receiptId;

    @ApiModelProperty(value = "应收货币id")
    private Long currencyId;

    @ApiModelProperty(value = "应收金额")
    private BigDecimal receivableAmount;

    @ApiModelProperty(value = "核销基准金额汇率")
    private BigDecimal writeOffRate;

    @ApiModelProperty(value = "核销基准金额")
    private BigDecimal writeOffAmount;

    @ApiModelProperty(value = "平台收款账户id")
    private Integer platformAccountId;

    @ApiModelProperty(value = "平台收款账户")
    private String platformAccountNo;

    @ApiModelProperty(value = "平台收款账户名称")
    private String platformAccountName;

    @ApiModelProperty(value = "平台收款账户銀行名称")
    private String platformAccountBlankName;

    @ApiModelProperty(value = "收款货币id")
    private Long collectionCurrencyId;

    @ApiModelProperty(value = "收款汇率")
    private BigDecimal collectionRate;

    @ApiModelProperty(value = "收款金额")
    private BigDecimal collectionAmount;


}
