package cn.iocoder.yudao.module.wealth.vo.receivableDiscount;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 应收款优惠信息 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ReceivableDiscountBaseVO {

    @ApiModelProperty(value = "应收款ID")
    private Long receivableId;

    @ApiModelProperty(value = "优惠金额")
    private java.math.BigDecimal discountTotal;

    @ApiModelProperty(value = "优惠备注")
    private String discountRemark;

    @ApiModelProperty(value = "创建人姓名")
    private String creatorName;

}
