package cn.iocoder.yudao.module.wealth.vo.payment;

import cn.iocoder.yudao.module.wealth.vo.payable.PayableReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 付款单更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PaymentUpdateReqVO extends PaymentBaseVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "应付明细")
    private List<PayableReqVO> payableReqVOList;

    @ApiModelProperty(value = "0保存为草稿,1保存并发起审核")
    private String addType;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;

    @ApiModelProperty(value = "申请原因")
    private String reason;

}
