package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("收款单实收明细取消审核")
public class FinanceReceiptItemCancelVo {
    @ApiModelProperty(value = "收款明细ID")
    @NotNull(message = "收款明细ID不能为空")
    private Long receiptItemId;


    @ApiModelProperty(value = "取消原因")
    private String remark;
}
