package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("收款单审核")
public class FinanceReceiptVo {
    @ApiModelProperty(value = "收款单ID")
    @NotNull(message = "收款单ID不能为空")
    private Long receiptId;

    @ApiModelProperty(value = "收款单编号")
    @NotNull(message = "收款单ID不能为空")
    private String receiptNo;

    @ApiModelProperty(value = "发起原因")
    private String remark;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;
}
