package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

/*
 */
@Data
@ApiModel("管理后台 - 银行收款单明细列表")
public class ReceiptItemReq extends PageParam {

    private int start;

    /*
    主表中的收款单编号
     */
    private String receiptNo;

    /*
  订单编号
  */
    private String orderNo;

    /*
    提单编号
     */
    private String tidanNo;

    /*
     创建日期
     */
    private String sDate1;
    private String eDate1;

    /*
     提交审批日期
     */
    private String sDate2;
    private String eDate2;


    /*
     审批通过日期
     */
    private String sDate3;
    private String eDate3;


    /*
    实收日期
    */
    private String sDate4;
    private String eDate4;

    /*
     创建人
     */
    private String creator;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date createTime;

    private String updater;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private Date updateTime;
    /*
     收款账户
     */
    private String accountNo;

    /*
     审批状态
     */
    private String status;

}
